ScriptWindow Class Reference

Python script window. More...

`#include <ScriptWindow.h>`

Inheritance diagram for ScriptWindow:

## Public Slots

ScriptEdit * | editor ()
void | executeAll ()
void | languageChange ()
void | newScript ()
void | open (const QString &fn=QString())
void | save ()
void | saveAs ()
virtual void | setVisible (bool visible)
void | showLineNumbers (bool show=true)
| Enables/Disables the line number display. More...

## Signals

void | visibilityChanged (bool visible)

## Public Member Functions

| ScriptWindow (ScriptingEnv *env, ApplicationWindow *app)
| ~ScriptWindow ()

## Private Slots

void | decreaseIndent ()
void | enableActions ()
void | find ()
void | findNext ()
void | findPrevious ()
void | increaseIndent ()
void | printPreview ()
void | redirectOutput (bool)
void | replace ()
void | setAlwaysOnTop (bool on)
void | showWorkspace (bool on=true)

## Private Member Functions

void | initActions ()
void | initMenu ()
void | moveEvent (QMoveEvent *)
void | resizeEvent (QResizeEvent *)

## Private Attributes

QAction * | actionAlwaysOnTop
QAction * | actionCopy
QAction * | actionCut
QAction * | actionDecreaseIndent
QAction * | actionEval
QAction * | actionExecute
QAction * | actionExecuteAll
QAction * | actionFind
QAction * | actionFindNext
QAction * | actionFindPrev
QAction * | actionHide
QAction * | actionIncreaseIndent
QAction * | actionNew
QAction * | actionOpen
QAction * | actionPaste
QAction * | actionPrint
QAction * | actionPrintPreview
QAction * | actionRedirectOutput
QAction * | actionRedo
QAction * | actionReplace
QAction * | actionSave
QAction * | actionSaveAs
QAction * | actionShowConsole
QAction * | actionShowLineNumbers
QAction * | actionShowWorkspace
QAction * | actionUndo
QTextEdit * | console
QDockWidget * | consoleWindow
ApplicationWindow * | d_app
QWidget * | d_frame
LineNumberDisplay * | d_line_number
QMenu * | edit
QMenu * | file
QString | fileName
QMenu * | run
ScriptEdit * | te
QMenu * | windowMenu

## Detailed Description

Python script window.

## Constructor & Destructor Documentation

ScriptWindow::ScriptWindow | ( | ScriptingEnv * | env,
|  | ApplicationWindow * | app
| ) |  |

References console, consoleWindow, d_app, d_frame, d_line_number, enableActions(), fileName, initActions(), initMenu(), ApplicationWindow::scriptsDirPath, ScriptEdit::setContext(), ScriptEdit::setDirPath(), and te.

ScriptWindow::~ScriptWindow | ( |  | ) |

inline

## Member Function Documentation

void ScriptWindow::decreaseIndent | ( |  | ) |

private slot

References te.

Referenced by initActions().

ScriptEdit* ScriptWindow::editor | ( |  | ) |

inline slot

References te.

Referenced by ApplicationWindow::enableCompletion(), ApplicationWindow::loadScript(), and ApplicationWindow::showScriptWindow().

void ScriptWindow::enableActions | ( |  | ) |

private slot

References actionEval, actionExecute, actionExecuteAll, actionFind, actionFindNext, actionFindPrev, actionReplace, and te.

Referenced by ScriptWindow().

void ScriptWindow::executeAll | ( |  | ) |

inline slot

References ScriptEdit::executeAll(), and te.

Referenced by initActions(), ApplicationWindow::loadScript(), and ApplicationWindow::parseCommandLineArguments().

void ScriptWindow::find | ( |  | ) |

private slot

References ScriptEdit::showFindDialog(), and te.

Referenced by initActions().

void ScriptWindow::findNext | ( |  | ) |

private slot

References ScriptEdit::findNext(), and te.

Referenced by initActions().

void ScriptWindow::findPrevious | ( |  | ) |

private slot

References ScriptEdit::findPrevious(), and te.

Referenced by initActions().

void ScriptWindow::increaseIndent | ( |  | ) |

private slot

References te.

Referenced by initActions().

void ScriptWindow::initActions | ( |  | ) |

private

References actionAlwaysOnTop, actionCopy, actionCut, actionDecreaseIndent, actionEval, actionExecute, actionExecuteAll, actionFind, actionFindNext, actionFindPrev, actionHide, actionIncreaseIndent, actionNew, actionOpen, actionPaste, actionPrint, actionPrintPreview, actionRedirectOutput, actionRedo, actionReplace, actionSave, actionSaveAs, actionShowConsole, actionShowLineNumbers, actionShowWorkspace, actionUndo, consoleWindow, d_app, d_line_number, ApplicationWindow::d_note_line_numbers, ApplicationWindow::d_script_win_on_top, decreaseIndent(), edit, executeAll(), file, find(), findNext(), findPrevious(), increaseIndent(), ApplicationWindow::isMdiAreaEnabled(), newScript(), open(), printPreview(), redirectOutput(), replace(), run, save(), saveAs(), setAlwaysOnTop(), setVisible(), showWorkspace(), te, and windowMenu.

Referenced by ScriptWindow().

void ScriptWindow::initMenu | ( |  | ) |

private

References edit, file, run, and windowMenu.

Referenced by ScriptWindow().

void ScriptWindow::languageChange | ( |  | ) |

slot

References actionCopy, actionCut, actionDecreaseIndent, actionEval, actionExecute, actionExecuteAll, actionFind, actionFindNext, actionFindPrev, actionIncreaseIndent, actionNew, actionOpen, actionPaste, actionPrint, actionPrintPreview, actionRedirectOutput, actionRedo, actionReplace, actionSave, actionSaveAs, actionShowConsole, actionShowWorkspace, actionUndo, consoleWindow, edit, file, and run.

void ScriptWindow::moveEvent | ( | QMoveEvent * | e | ) |

private

References d_app, and ApplicationWindow::d_script_win_rect.

void ScriptWindow::newScript | ( |  | ) |

slot

References fileName, and te.

Referenced by initActions().

void ScriptWindow::open | ( | const QString & | fn = `QString()` | ) |

slot

References fileName, ScriptEdit::importASCII(), and te.

Referenced by initActions(), ApplicationWindow::loadScript(), and ApplicationWindow::parseCommandLineArguments().

void ScriptWindow::printPreview | ( |  | ) |

private slot

References te.

Referenced by initActions().

void ScriptWindow::redirectOutput | ( | bool | inside | ) |

private slot

References console, ScriptEdit::redirectOutputTo(), and te.

Referenced by initActions().

void ScriptWindow::replace | ( |  | ) |

private slot

References ScriptEdit::showFindDialog(), and te.

Referenced by initActions().

void ScriptWindow::resizeEvent | ( | QResizeEvent * | e | ) |

private

References d_app, and ApplicationWindow::d_script_win_rect.

void ScriptWindow::save | ( |  | ) |

slot

References fileName, saveAs(), and te.

Referenced by initActions().

void ScriptWindow::saveAs | ( |  | ) |

slot

References ScriptEdit::exportASCII(), fileName, and te.

Referenced by initActions(), and save().

void ScriptWindow::setAlwaysOnTop | ( | bool | on | ) |

private slot

References d_app, and ApplicationWindow::d_script_win_on_top.

Referenced by initActions().

void ScriptWindow::setVisible | ( | bool | visible | ) |

virtual slot

References visibilityChanged().

Referenced by initActions().

void ScriptWindow::showLineNumbers | ( | bool | show = `true` | ) |

slot

Enables/Disables the line number display.

References d_line_number, and LineNumberDisplay::updateLineNumbers().

Referenced by ApplicationWindow::showScriptWindow().

void ScriptWindow::showWorkspace | ( | bool | on = `true` | ) |

private slot

References d_app, and ApplicationWindow::enableMdiArea().

Referenced by initActions().

void ScriptWindow::visibilityChanged | ( | bool | visible | ) |

signal

Referenced by setVisible().

## Member Data Documentation

QAction* ScriptWindow::actionAlwaysOnTop

private

Referenced by initActions().

QAction * ScriptWindow::actionCopy

private

Referenced by initActions(), and languageChange().

QAction * ScriptWindow::actionCut

private

Referenced by initActions(), and languageChange().

QAction * ScriptWindow::actionDecreaseIndent

private

Referenced by initActions(), and languageChange().

QAction * ScriptWindow::actionEval

private

Referenced by enableActions(), initActions(), and languageChange().

QAction* ScriptWindow::actionExecute

private

Referenced by enableActions(), initActions(), and languageChange().

QAction * ScriptWindow::actionExecuteAll

private

Referenced by enableActions(), initActions(), and languageChange().

QAction* ScriptWindow::actionFind

private

Referenced by enableActions(), initActions(), and languageChange().

QAction * ScriptWindow::actionFindNext

private

Referenced by enableActions(), initActions(), and languageChange().

QAction * ScriptWindow::actionFindPrev

private

Referenced by enableActions(), initActions(), and languageChange().

QAction * ScriptWindow::actionHide

private

Referenced by initActions().

QAction* ScriptWindow::actionIncreaseIndent

private

Referenced by initActions(), and languageChange().

QAction* ScriptWindow::actionNew

private

Referenced by initActions(), and languageChange().

QAction * ScriptWindow::actionOpen

private

Referenced by initActions(), and languageChange().

QAction * ScriptWindow::actionPaste

private

Referenced by initActions(), and languageChange().

QAction * ScriptWindow::actionPrint

private

Referenced by initActions(), and languageChange().

QAction * ScriptWindow::actionPrintPreview

private

Referenced by initActions(), and languageChange().

QAction * ScriptWindow::actionRedirectOutput

private

Referenced by initActions(), and languageChange().

QAction * ScriptWindow::actionRedo

private

Referenced by initActions(), and languageChange().

QAction * ScriptWindow::actionReplace

private

Referenced by enableActions(), initActions(), and languageChange().

QAction* ScriptWindow::actionSave

private

Referenced by initActions(), and languageChange().

QAction * ScriptWindow::actionSaveAs

private

Referenced by initActions(), and languageChange().

QAction* ScriptWindow::actionShowConsole

private

Referenced by initActions(), and languageChange().

QAction * ScriptWindow::actionShowLineNumbers

private

Referenced by initActions().

QAction* ScriptWindow::actionShowWorkspace

private

Referenced by initActions(), and languageChange().

QAction * ScriptWindow::actionUndo

private

Referenced by initActions(), and languageChange().

QTextEdit* ScriptWindow::console

private

Referenced by redirectOutput(), and ScriptWindow().

QDockWidget* ScriptWindow::consoleWindow

private

Referenced by initActions(), languageChange(), and ScriptWindow().

ApplicationWindow* ScriptWindow::d_app

private

Referenced by initActions(), moveEvent(), resizeEvent(), ScriptWindow(), setAlwaysOnTop(), and showWorkspace().

QWidget* ScriptWindow::d_frame

private

Referenced by ScriptWindow().

LineNumberDisplay* ScriptWindow::d_line_number

private

Referenced by initActions(), ScriptWindow(), and showLineNumbers().

QMenu * ScriptWindow::edit

private

Referenced by initActions(), initMenu(), and languageChange().

QMenu* ScriptWindow::file

private

Referenced by initActions(), initMenu(), and languageChange().

QString ScriptWindow::fileName

private

Referenced by newScript(), open(), save(), saveAs(), and ScriptWindow().

QMenu * ScriptWindow::run

private

Referenced by initActions(), initMenu(), and languageChange().

ScriptEdit* ScriptWindow::te

private

Referenced by decreaseIndent(), editor(), enableActions(), executeAll(), find(), findNext(), findPrevious(), increaseIndent(), initActions(), newScript(), open(), printPreview(), redirectOutput(), replace(), save(), saveAs(), and ScriptWindow().

QMenu * ScriptWindow::windowMenu

private

Referenced by initActions(), and initMenu().

The documentation for this class was generated from the following files:

- qtiplot/src/scripting/ScriptWindow.h
- qtiplot/src/scripting/ScriptWindow.cpp